# Interface JmolGraphicsInterface

All Known Subinterfaces:
  `JmolRendererInterface`

All Known Implementing Classes:
  `Export3D, GData, Graphics3D`

public interface JmolGraphicsInterface

## Method Summary

Modifier and Type
Method
Description
`void`
`drawLinePixels(P3i sA, P3i sB, int z, int zslab)`
`boolean`
`isAntialiased()`
`boolean`
`isClippedXY(int diameter, int screenX, int screenY)`
`boolean`
`isInDisplayRange(int x, int y)`
`void`
`renderAllStrings(Object jmolRenderer)`
`void`
`setSlab(int slabValue)`
`void`
`setSlabAndZShade(int slabValue, int depthValue, int zSlab, int zDepth, int zPower)`

## Method Details

### isAntialiased

boolean isAntialiased()

### isClippedXY

boolean isClippedXY(int diameter, int screenX, int screenY)

### isInDisplayRange

boolean isInDisplayRange(int x, int y)

### renderAllStrings

void renderAllStrings(Object jmolRenderer)

### setSlab

void setSlab(int slabValue)

### setSlabAndZShade

void setSlabAndZShade(int slabValue, int depthValue, int zSlab, int zDepth, int zPower)

### drawLinePixels

void drawLinePixels(P3i sA, P3i sB, int z, int zslab)